Workflows
Delete a workflow
Delete a specific workflow by id
DELETE
/
v1
/
workflows
/
{id}
Delete a workflow
curl --request DELETE \
--url https://api.rootly.com/v1/workflows/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.rootly.com/v1/workflows/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rootly.com/v1/workflows/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"type": "workflows",
"attributes": {
"name": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"slug": "<string>",
"description": "<string>",
"command": "<string>",
"command_feedback_enabled": true,
"wait": "<string>",
"repeat_every_duration": "<string>",
"repeat_condition_duration_since_first_run": "<string>",
"repeat_condition_number_of_repeats": 123,
"continuously_repeat": true,
"repeat_on": [],
"enabled": true,
"locked": true,
"position": 123,
"workflow_group_id": "<string>",
"trigger_params": {
"trigger_type": "incident",
"triggers": [
"<string>"
],
"incident_visibilities": [
true
],
"incident_kinds": [],
"incident_statuses": [],
"incident_inactivity_duration": "<string>",
"incident_condition": "ALL",
"incident_condition_visibility": "ANY",
"incident_condition_kind": "IS",
"incident_condition_status": "ANY",
"incident_condition_sub_status": "ANY",
"incident_condition_environment": "ANY",
"incident_condition_severity": "ANY",
"incident_condition_incident_type": "ANY",
"incident_condition_incident_roles": "ANY",
"incident_condition_service": "ANY",
"incident_condition_functionality": "ANY",
"incident_condition_group": "ANY",
"incident_condition_cause": "ANY",
"incident_condition_label": "ANY",
"incident_condition_label_use_regexp": false,
"incident_labels": [
"<string>"
],
"incident_post_mortem_condition_cause": "ANY",
"incident_conditional_inactivity": "IS"
},
"environment_ids": [
"<string>"
],
"severity_ids": [
"<string>"
],
"incident_type_ids": [
"<string>"
],
"incident_role_ids": [
"<string>"
],
"service_ids": [
"<string>"
],
"functionality_ids": [
"<string>"
],
"group_ids": [
"<string>"
],
"cause_ids": [
"<string>"
],
"sub_status_ids": [
"<string>"
]
}
},
"included": [
{
"id": "<string>",
"type": "<string>",
"attributes": {},
"relationships": {}
}
]
}{
"errors": [
{
"title": "<string>",
"status": "<string>",
"code": "<string>",
"detail": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Resource UUID
Was this page helpful?
⌘I
Delete a workflow
